// Exemple de programme JAVA qui illustre l'utilisation du ResultSetMetaData
package ExemplesJDBC;
import java.sql.*;

class ExempleRSMetaData
{
  public static void main (String args [])
       throws SQLException, ClassNotFoundException, java.io.IOException
  {
    Class.forName ("oracle.jdbc.driver.OracleDriver");

    Connection uneConnection =
      DriverManager.getConnection ("jdbc:oracle:thin:@localhost:1521:orcl", "godin", "oracle");
    
    Statement unEnoncSQL = uneConnection.createStatement ();
    // Excution d'un SELECT
    ResultSet rsultatSelect = unEnoncSQL.executeQuery
      ("SELECT noClient, nomClient "+
      "FROM CLIENT " +
      "WHERE noClient > 40");
    
    // Consultation de quelques mta-donnes du ResultSetMetaData
    ResultSetMetaData unRSMD = rsultatSelect.getMetaData();
    int nombreColonnes = unRSMD.getColumnCount();
    System.out.println("Le rsultat du SELECT contient "+nombreColonnes+" colonnes");
    for (int indice = 1; indice <= nombreColonnes; indice++){
        System.out.println("La colonne "+indice+
            " qui se nomme "+unRSMD.getColumnName(indice)+
            " est de type "+unRSMD.getColumnTypeName(indice));
    }
    unEnoncSQL.close();
    uneConnection.close();
  }
}
