// Exemple d'excution par lot (batch)
package ExemplesJDBC;
import java.sql.*;

class StatementBatch
{
  public static void main (String args [])
       throws SQLException, ClassNotFoundException, java.io.IOException
  {
    // Charger le pilote JDBC d'Oracle
    Class.forName ("oracle.jdbc.driver.OracleDriver");

    // Connection  une BD
    Connection uneConnection =
      DriverManager.getConnection ("jdbc:oracle:thin:@localhost:1521:orcl", "godin", "oracle");

    // Cration d'un PreparedStatement associ  la Connection
    PreparedStatement unEnoncSQL = uneConnection.prepareStatement
      ("INSERT INTO Client VALUES(?,?,?)");
    
    // Ajout d'un INSERT dans le lot
    unEnoncSQL.setInt(1,90);
    unEnoncSQL.setString(2,"Edgar Degas");
    unEnoncSQL.setString(3,"(222)222-2222");
    unEnoncSQL.addBatch();
    
    // Ajout d'un autre INSERT dans le lot
    unEnoncSQL.setInt(1,100);
    unEnoncSQL.setString(2,"Claude Monet");
    unEnoncSQL.setString(3,"(111)111-1111");
    unEnoncSQL.addBatch();
    
    // Excution du lot en un appel
    int [] rsultats = unEnoncSQL.executeBatch();

    // Fermeture de nonc et de la connexion
    unEnoncSQL.close();
    uneConnection.close();
  }
}